#include "SynEngine.hpp"

int main(int argc, char const *argv[])
{
    GameConfiguration config = GameConfiguration("Configurations");
    Grid grid = Grid();
    grid.SetGrid(config);

    sf::RenderWindow render(sf::VideoMode(800, 600), "Test");

    if (render.isOpen()) // Quick Test
    {
        float multiplier = config.GetSpriteSizeMultiplier();
        int count = config.GetGridSize().x * config.GetGridSize().y;
        sf::Vector2i offset = config.GetGridOffset();

        render.clear(config.GetBackgroundColor());
        for (int i = 0; i < count; i++) 
            render.draw(config.GetSprite(i % 6, sf::Vector2f(i % config.GetGridSize().x * 50 * multiplier + offset.x, i / config.GetGridSize().x * 50 * multiplier + offset.y)));
        render.display();
        sf::sleep(sf::milliseconds(5000));
    }
    
    std::cout << "/)(\\";
    return 0;
}
